Skip to main content
POST
Upload one resumable chunk to a Dataset snapshot

Path Parameters

datasetId
string
required

Domino Dataset ID. Obtain from GET /api/datasetrw/v2/datasets or GET /datasetrw/datasets/{datasetId} in the platform API catalog.

Query Parameters

resumableChunkNumber
integer
required

Number of the current chunk

resumableTotalChunks
integer
required

Total number of chunks of the file to upload

resumableIdentifier
string
required

Unique identifier for the file to upload

key
string
required

Upload session key returned by POST /datasetrw/datasets/{datasetId}/snapshot/file/start. Must match the session for every chunk in the same file upload.

resumableRelativePath
string
required

Path of the file to upload relative to the root directory being uploaded if applicable, or the file name

resumableChunkSize
integer
required

Size in bytes of one standard (not last) upload chunk

resumableCurrentChunkSize
integer
required

Size in bytes of the current upload chunk

checksum
string
required

Checksum of the file to upload

Body

application/x-www-form-urlencoded
file
file
required

File to upload

Response

Upload session key (same as query param key)

The response is of type string.